# Honourished v0.3.0dev

### В создании принимают участие:
Разработчики:
* Архипов Иван
* Батманов Игорь
* Боков Аркадий
* Кологерманский Егор 

Дизайнеры:
* Безребрая Анастасия

Honourished представляет собой тактическую пошаговую стратегию с элементами rpg. В данный момент идёт разработка первого сценария игры: свободного сражения между двумя игроками. Сражение представляет собой последовательные действия игроков над их юнитами (предварительно выбранными) на поле из шестиугольников. За основу была взята механика боёв игры Heroes of Might & Magic III. Игроку доступны для выбора 2 расы: "Люди" и "Мёртвые", каждая из которых обладает собственным набором юнитов и разветвлённой системой их улучшения. Каждый юнит имеет уникальный набор способностей (умений), характеристик и специфики поведения.

# Установка
Список доступных версий для установки с их описаниями и ссылками для скачивания доступен по ссылке: http://git.gi1dor.ru/GooseHouse/game-client/releases

### Windows:
* Скачать сборку, упакованную в .zip архив (ссылка на последнюю сборку: http://git.gi1dor.ru/attachments/2321e6b4-4236-4790-aae6-3b6c8ff6f7fc)
* Распаковать всё содержимое архива в любую папку
* Для запуска использовать файл game.exe

### Linux Debian-based (Debian ver. >= 8, Ubuntu ver. >= 16.04 LTS, etc.)

* Скачать .deb пакет с игрой (ссылка на последнюю сборку: http://git.gi1dor.ru/attachments/cd200ce0-0b53-430c-aaf0-c56944ba6ebf)
* Выполнить команду:
```bash
sudo apt-get -f install ./honourished-0.3.0dev-linux.deb
```
* Для запуска использовать консольную команду `honourished`
* В случае, если установка через apt-get -f install не удалась, выполните следующие действия вместо этой команды:

```bash
sudo apt-get install libqt5core5a libqt5dbus5 libqt5glib-2.0-0 libqt5gstreamer-1.0-0 libqt5gui5 libqt5multimedia5 libqt5network5 libqt5svg5 libqt5widgets5 libqt5multimedia5 libqt5gstreamer-1.0-0 libqt5multimedia5-plugins gstreamer1.0-nice gstreamer1.0-plugins-good
```
```bash
dpkg -i ./goosehouse-game.deb
```

## Структура директорий проекта:

#### Папка *assets*
В этой папке содержатся все графические файлы, элементы интерфейса, озвучка и остальные ресурсы, связанные с проектом. Они собираются на этапе сборки проекта в специальные файлы ресурсов, которые программа загружает и использует в процессе выполнения.

#### Папка *include*
Эта папка содержит в себе все .h файлы приложения - все интерфейсы классов приложения (исключения - .h файлы, связанные с .ui сценами, они хранятся вместе с этими сценами)

#### Папка *source*
Здесь находятся все файлы реализации классов приложения, кроме тех, что завязаны на .ui файлах (аналогично с .h файлами, последние хранятся вместе с .ui сценами)

#### Папка *ui*
В папке ui размещены все файлы графических сцен проекта. Каждая сцена состоит из 3-х файлов - .ui, .cpp и .h. Одна логическая сцена (главное меню, к примеру), может состоять из нескольких физических, которые накладываются друг на друга (сцена анимированного фона, сцена меню, расположенного по центру)

#### Папка *res*
В ней находятся специальные файлы .qrc, содержащие информацию о тех файлах из */аssets*, которые будут собраны в файлы ресурсов (.gtr)


#### Файл *client.pro*
Это основной файл qmake проекта, именно в нём прописаны скрипты сборки ресурсов, указаны собираемые файлы исходных кодов, подключаемые библиотеки и system-specific указания системе сборки qmake.

<div width="100%"><img style="align:center" src="http://www.files.gi1dor.ru/dwarf.gif"></div>